<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>指定一个元素显示在视窗</title>
    <style>
        body{
            height: 2000px;
        }
        .box{
            height: 100px;
            width: 200px;
            background:red;
        }
    </style>
</head>
<body>
    <div class="box">
           
    </div>
</body>
<script>
    window.onload=function(){
        window.scrollTo({
        behavior: "smooth"
        });

        window.scrollBy({
        behavior: "smooth"
        });

        document.querySelector(".box").scrollIntoView({
            behavior: "smooth"
        });
    }
</script>
</html>